Go to the latest version of this document.

# ``twisted`.`mail`.`smtp`.`ESMTPClientError``

exception documentation

`class ESMTPClientError(SMTPClientError): (source)`

Known subclasses: `twisted.mail.smtp.AUTHDeclinedError`, `twisted.mail.smtp.AuthenticationError`, `twisted.mail.smtp.AUTHRequiredError`, `twisted.mail.smtp.EHLORequiredError`, `twisted.mail.smtp.TLSError`, `twisted.mail.smtp.TLSRequiredError`

Constructor: `ESMTPClientError(code, resp, log, addresses, ...)`

View In Hierarchy

Base class for ESMTP client errors.

Inherited from `SMTPClientError`:

Method | `__bytes__` | Undocumented
Method | `__init__` | No summary
Method | `__str__` | Undocumented
Instance Variable | `addresses` | Undocumented
Instance Variable | `code` | Undocumented
Instance Variable | `isFatal` | Undocumented
Instance Variable | `log` | Undocumented
Instance Variable | `resp` | Undocumented
Instance Variable | `retry` | Undocumented